netatalk (3.1.12~ds-9) unstable; urgency=medium

  * update copyright info:
    + fix typo in comment
    + improve source script copyright-check
    + update copyright info: use Reference field (not License-Reference);
      tighten lintian overrides
  * declare compliance with Debian Policy 4.6.0
  * use debhelper compatibility level 13 (not 12)
  * generate up-to-date unicode casefolding code during build;
    build-depend on unicode-data

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 13 Sep 2021 20:12:07 +0200

netatalk (3.1.12~ds-8.2) unstable; urgency=high

  * Non-maintainer upload.

  [ Iain Lane ]
  * Build against libtirpc: (Closes: #982633)
    + debian/patches/allow-use-of-tirpc: Fixes quota support being disabled
      where this isn't available.
    + debian/rules: Pass --with-libtirpc to enable this new support.
    + debian/control: BD on libtirpc-dev.
    This solves autopkgtest regression when building with glibc after
    Debian 11 release.

 -- Boyuan Yang <byang@debian.org>  Wed, 08 Sep 2021 15:39:24 -0400

netatalk (3.1.12~ds-8.1) unstable; urgency=high

  * Non-maintainer upload.

  [ Iain Lane ]
  * 205_add-support-for-tracker3.patch, control, rules: Port to Tracker 3
    using a patch from Fedora (Closes: #993412)

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 07 Sep 2021 19:57:43 -0400

netatalk (3.1.12~ds-8) unstable; urgency=medium

  * update patch 105 to support cross-compilation;
    closes: bug#977570, thanks to Helmut Grohne
  * modernize source script copyright-check
  * copyright:
    + fix separate a License-Grant from a Coyright field
    + rename license shortnames to align more closely with SPDX
    + update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 16 Dec 2020 23:11:11 +0100

netatalk (3.1.12~ds-7) unstable; urgency=medium

  * add patch 105 to fix support cross-compilation;
    closes: bug#973834, thanks to Helmut Grohne
  * rely on autoconf defaults
    (stop explicitly declare default options)
  * simplify rules;
    stop build-depend on autotools-dev cdbs dh-autoreconf
  * use debhelper compatibility level 12 (not 10);
    build-depend on debhelper-compat (not debhelper)
  * declare compliance with Debian Policy 4.5.1
  * generate automatic -dbgsym package,
    replacing manual netatalk-dbg package
  * update watch file: use dversionmangle=auto
  * fix pre-depend on misc:Pre-Depends

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 06 Dec 2020 03:57:54 +0100

netatalk (3.1.12~ds-6) unstable; urgency=medium

  * use system-shared libevent:
    + add patch cherry-picked from upstream merge-request
      to avoid embedded libevent
    + unfuzz patch 101
    + exclude libevent when repackaging upstream source
    + build-depend on libevent-dev
  * fix stop needlessly depend on libpam-cracklib
  * link with libssl and Kerberos;
    build-depend on libcrack2-dev libkrb5-dev libssl-dev;
    closes: bug#973120, thanks to Lucas Nussbaum

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 23 Nov 2020 02:05:30 +0100

netatalk (3.1.12~ds-5) unstable; urgency=medium

  * add patches cherry-picked from upstream merge-requests:
    + fix ftbfs with GCC-10;
      closes: bug#957590, thanks to Matthias Klose
    + fix implicit declarations in become_root() and unbecome_root()
    + fix garbage read in bsd_attr_list()
    + fix use after free in get_tm_used()
    + fix afpd segfault in Spotlight SPARQL parser
  * use debhelper compatibility level 10 (not 9)
  * stop build-depend on dh-systemd
    (provided by debhelper even in oldstable);
    closes: bug#958616, thanks to Michael Biebl
  * annotate superficial autopkgtest
  * unfuzz patch 103
  * enable CNID backend mysql
    (MariaDB avoids OpenSSL since 1:10.3.13-1,
    available since buster);
    build-depend on libmariadb-dev-compat
  * simplify source script copyright-check

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Sep 2020 18:06:13 +0200

netatalk (3.1.12~ds-4) unstable; urgency=medium

  * Fix Vcs-Git URL.
  * Extend patch 101 to support cross-building.
    Closes: Bug#942185. Thanks to Helmut Grohne.
  * Declare compliance with Debian Policy 4.2.1.
  * Set Rules-Requires-Root: no.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 11 Oct 2019 19:11:33 +0200

netatalk (3.1.12~ds-3) unstable; urgency=medium

  * Update autopkgtest: Add sbin paths to PATH.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 02 Mar 2019 00:32:52 +0100

netatalk (3.1.12~ds-2) unstable; urgency=medium

  * Fix stop build-depend on obsolete libmysqlclient-dev.
    Adapt smoketest.
    Update documentation to include CNID backend mysql
    to list of GPL-incompatible features
    legally possible only in local rebuild.
  * Bump documentation timestamps,
    and timestamp each topic separately.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 23 Feb 2019 11:04:52 +0100

netatalk (3.1.12~ds-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    Closes: Bug#685878.
    + AppleTalk networking protocol support dropped.
      Closes: Bug#187512, #467513, #467514, #489800, #599402, #652825, #660768.
    + Printer Access Protocol (PAP) support dropped.
      Closes: Bug#66875, #86185, #141405, #316563, #336495, #772280, #716165.

  [ Igor Bernstein ]
  * Drop patches and configure options obsoleted by upstream changes.
  * Stop install documentation no longer provided upstream.
  * Install shared library and files in /var/lib, actually used now.

  [ Michele Porelli ]
  * Change init style to systemd.

  [ Adrian Knoth ]
  * Drop rules for uniconv.
  * Build-depend on dh-systemd.

  [ Jonas Smedegaard ]
  * Re-add sysV init script, alongside systemd.
  * Repackage upstream source:
    + Exclude embedded code copies of libtalloc libtdb.
    + Exclude pre-generated spotlight code.
  * Update patches:
    + Drop patches applied upstream.
    + Extend patch 103 with fixes for additional typos.
    + Add patch 204 to use FHS-compatible state dir /var/lib/netatalk.
    + Unfuzz patches.
  * Update watch file:
    + Rewrite usage comment.
    + Use substitution strings.
    + Use suffix ~ds for repackaged upstream source.
  * Update copyright info:
    + Fix track scripts by HAT, licensed GPL-2+.
    + Update coverage, track exclusions, and stop track gone files.
    + Track new source files licensed GPL-2/GPL-2+/Autoconf-or-GPL-3+.
  * Build linked with system shared libtalloc libtdb.
    Add patches 101 201 to use system shared libraries libtalloc libtdb.
    Build-depend on libtalloc-dev libtdb-dev.
  * Enable AFPStats D-Bus service.
    Add patch 102 to migrate to and use python3.
    Build-depend on libdbus-glib-1-dev.
    Recommend dbus python3 python3-dbus.
  * Enable integration with SystemTap.
    Build-depend on systemtap-sdt-dev.
  * Add NEWS entry listing disruptive changes.
  * Stop create obsolete directory var/spool/netatalk.
  * Stop provide unmaintained logcheck snippets.
  * Enable autopkgtest.
  * Improve build-time check for OpenSSL license violation.
  * Avoid install manpages for obsolete or avoided commands.
  * Update documentation:
    + Drop duplicated changelog and copyright info in README.Debian.
    + Drop obsolete README.Debian note about manual BerkeleyDB migration,
      and about AppleTalk DDP and host-to-ip resolving.
  * Stop build GSS UAM (except in custom build):
    Causes license violation linking against OpenSSL.
    Stop build-depend on libkrb5-dev.
    Update documentation to mention GSS UAM in OpenSSL notes.
  * Build new mysql UAM, linking against libmysqlclient
    (not libmariadb to avoid license violation).
    Build-depend on libmysqlclient-dev.
  * Fix stop enable cracklib support,
    needed only with randnum UAM which requires OpenSSL.
    Update documentation.
    Stop build-depend on libcrack2-dev.
    Stop recommend libpam-cracklib, avahi-daemon.
  * Update short and long descriptions
    to talk only about Apple Filing Protocol
    (not obsolete AppleTalk protocol),
    and elaborate on differences with SMB protocol.
  * Stop build-depend on libcups2-dev, recommend rc db-util,
    or suggest texlive-base-bin quota:
    Needed for no longer provided features.
  * Enable Spotlight integration with tracker.
    Build-depend on bison flex: Needed to generate Spotlight code.
    Build-depend on libtracker-miner-2.0-dev libtracker-sparql-2.0-dev.
    Build-depend on and recommend tracker.
  * Add patch 104 to modernize Systemd service file.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 Feb 2019 12:54:10 +0100

netatalk (2.2.6-3) unstable; urgency=high

  * Regenerate autotools during build.
    Really closes: Bug#912091. Thanks (again!) to Helmut Grohne.
  * Set urgency=high due to previously fixed CVE-2018-1160.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Dec 2018 11:48:52 +0100

netatalk (2.2.6-2) unstable; urgency=medium

  * Acknowledge NMUs.
    Closes: Bug#864125, #916930.
    Thanks to Salvatore Bonaccorso and Andreas Metzler.
  * Simplify rules:
    + Stop resolve build-dependencies in rules file.
  * Update notes on local build linked with OpenSSL:
    + Rephrase centered on usage needs (not legalese).
    + Use apt (not aptitude or apt-get) in interactive commands.
    + Stop reference obsolete unofficial package repository.
    + Move build details to README.source.
  * Update Vcs-* fields: Maintenance moved to Salsa.
  * Stop build-depend on dh-buildinfo.
  * Update copyright info:
    + Extend coverage of packaging.
    + Use https protocol in format URL.
  * Wrap and sort control file, and strip trailing spaces.
  * Use package priority optional (not extra).
  * Declare compliance with Debian Policy 4.2.1.
  * Fix depend on lsb-base.
  * Configure with --enable-a2boot.
    Closes: Bug#907958. Thanks to T. Joseph Carter.
  * Add patch 106
    to fix detect Berkeley DB installed in multiarch location.
    Closes: Bug#912091. Thanks to Helmut Grohne.
  * Add patches cherry-picked upstream
    to fix unauthenticated remote code execution
    (replacing semantically identical patch 115 added in 2.2.6-1.2).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 22 Dec 2018 19:04:35 +0100

netatalk (2.2.6-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Unauthenticated remote code execution in Netatalk (CVE-2018-1160)
    (Closes: #916930)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 20 Dec 2018 21:05:54 +0100

netatalk (2.2.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * B-d on libgcrypt20-dev instead of (dummy transition package)
    libgcrypt11-dev. Closes: #864125

 -- Andreas Metzler <ametzler@debian.org>  Sat, 27 Oct 2018 11:35:03 +0200

netatalk (2.2.6-1) unstable; urgency=medium

  [ upstream ]
  * New stable release.

  [ Jonas Smedegaard ]
  * Update watch file: Limit to 2.x.x releases.
  * Drop patches cherry-picked upstream, now applied.
  * Drop patch 201: etc2ps paths fixed upstream.
  * Advertise DEP3 format in patch headers.
  * Update copyright info:
    + Fix consistently reference license BSD-3-Clause~4.
    + Fix separate License-Grant from License.
    + Fix separate Comment from License.
    + Extend coverage of autotools.
    + Extend coverage of packaging.
    + Relicense packaging as GPL-3+.
  * Update lintian overrides:
    + Tighten overrides regarding license in License-Reference field.
    + Add overrides regarding FIXMEs in copyright_hints file.
  * Drop CUPS workaround build flags: Handled upstream.
  * Drop explicit core build flags: Handled in CDBS.
  * Modernize Vcs-* fields:
    + Use https protocol.
    + Use git (not gitweb) in path.
  * Declare compliance with Debian Policy 4.0.0.
  * Modernize cdbs: Do copyright-check in maintainer script (not during
    build).
    Stop build-depend on licensecheck.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 30 Jul 2017 14:08:55 -0400

netatalk (2.2.5-2) unstable; urgency=medium

  [ Adrian Knoth ]
  * Add patch to source init functions in init.d script.
  * Bump debhelper compatibility level to 9.

  [ Brian Campbell ]
  * Add myself to uploaders

  [ Chris Boot ]
  * Add myself to uploaders

  [ Jonas Smedegaard ]
  * Address most FIXMEs.
  * Update watch file:
    + Bump to version 4.
    + Track any release (not only 2.x).
    + Mention gpb --uscan in usage comment.
  * Stop track upstream source with CDBS (use gpb --uscan).
  * Update git-buildpackage config: Filter any .gitignore file.
  * Modernize CDBS:
    + Build-depend on licensecheck (not devscripts).
    + Tighten binary package relations to be package-specific.
  * Declare compliance with Debian Policy 3.9.8.
  * Update copyright info:
    + Resolve remaining FIXMEs.
      Closes: Bug#751121. Thanks to Luca Falavigna.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Clarify vaguely ORed license pair.
    + Re-label to use SPDX license shortnames FSFUL FSFULLR X11.
    + Extend coverage of Debian packaging.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Drop example script to convert from netatalk 2.0.4~beta2-4 and
    earlier: needed package db4.2-util no longer available.
    Stop suggest db4.2-util.
  * Fix version in NEWS entry.
  * Add patches cherry-picked upstream, including ASP/DDP fixes.
    Closes: Bug#760111, #760112. Thanks to Vincent Duvert.
  * Fix stop build-depend on d-shlibs.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 10 Jan 2017 15:29:57 +0100

netatalk (2.2.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop Build-Depends on hardening-includes. (Closes: #836757)

 -- Chris Lamb <lamby@debian.org>  Wed, 28 Sep 2016 11:27:14 +0100

netatalk (2.2.5-1) unstable; urgency=medium

  [ upstream ]
  * New stable release 2.2.3.
    + Add afpd support for Apple mDNSResponder.
    + Add afpd new LDAP config option ldap_uuid_string.
    + Based on Unicode 6.1.0.
    + Update experimental systemd service files to always run both afpd
      and cnid_metad (unsuitable for 2.x: lack AppleTalk support).
    + Update afpd to ensure our umask is not altered by e.g. pam_umask.
    + Update  afpd to use GSS_C_NO_NAME as server principal when
      Kerberos options -fqdn and -krb5service are not set.
    + Update afpd CNID handling for TimeMachine volumes.
      Closes: bug#703426. Thanks to Dominic Evans.
    + Fix afpd sendfile() on FreeBSD.
    + Fix afpd to not use searchdb when doing partial name search.
    + Fix possible afpd bug handling disconnected sessions.
    + Fix close IPC file descriptors in afpd session child processes.
    + Fix dbd to not remove BerkeleyDB if still in use by e.g. cnid_dbd
      (a bug introduced in 2.2.2).
    + Fix debian initscript to start avahi-daemon (if available) before
      atalkd
    + Fix use only ASCII in Zeroconf advertised TimeMachine volume name.
  * New stable release 2.2.4:
    + Fix missing UAM links.
    + Fix lockup in AFP logout on Fedora 17.
    + Fix reset signal handlers and alarm timer after successful PAM
      authentication. Fixes a problem with AFP disconnects caused by
      pam_smbpass.so messing with our handlers and timer.
    + Fix possible afpd problem with sendfile on Solaris derived
      platforms.
  * New stable release 2.2.5:
    + Fix errors searching volumes.
    + Add configurable symlink handling with a new volume option
      'followsymlinks'. Setting the option causes afpd to follow
      symlinks on the server side.
    + Reload groups when reloading volumes.
    + Fix a possible crash in cname() where cname_mtouname calls
      dirlookup() where the curdir is freed because the dircache
      detected a dev/inode cache difference and evicted the object
      from the cache.
    + Fix change default FinderInfo for directories to be all 0.

  [ Jonas Smedegaard ]
  * Update README.source to emphasize control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Adapt to upstream change from CVS to git:
    + Add git URL as alternate upstream source.
    + Have git-import-orig suppress upstream .gitignore file.
    + Drop helper target get-orig-vcs from rules file.
    + Stop tracking md5sum of upstream tarball (track git tags instead).
  * Drop dpkg-source local-options hint: Declared options are default
    since dpkg-source 1.16.1.
  * Move packaging to team maintenance:
    + Update Vcs-* Maintainer fields in control file.
    + (Re-)add myself as uploader.
  * Drop patch 101: Adopted upstream.
  * Unfuzz patches.
  * Separate upstream-relevant part of patch 205 as patch 101 to drop
    bogus warning in configfile.
  * Fix explicitly enable code paths private since CUPS 1.6.
    Closes: bug#713558. Thanks to Patrick Coulthard.
  * Add patch 102 to fix bashisms in add_netatalk_printer script.
    Closes: bug#581127. Thanks to Raphael Geissert.
  * Add patch 103 to fix user-visible typos in log output and
    documentation.
    Closes: bug#685162. Thanks to Ralf Hildebrandt.
  * extend logcheck filters.
    Closes: bug#589215, #588832. Thanks to Radek Antoniuk.
  * Update copyright file:
    + Fix relabel a license as MIT~veryshort (from GAP).
    + Improve tracking of autotools files.
  * Fix DEP5 syntax error (Double "Copyright:").
  * Fix revert to SysV stop action at default runlevels:
    + Add patch 104 to adjust LSB header.
    + Drop custom update-rc.d parameters (also other now obsolete ones)
      in rules file.
    Closes: bug#745520. Thanks to "c" and Chad.
  * Tidy patches:
    + Normalize extension of patch 205.
    + Rename patches cherry-picked upstream to be based on changedata +
      git hash.
    + Add DEP3 patch headers.
    + Unfuzz patches.
  * Limit watch file to 2.x versions.

  [ Adrian Knoth ]
  * Update copyright file:
    + Fix DEP5 syntax error ("Files:" misspelled).

  [ Brian Campbell ]
  * Fix patch 103 to exclude debian/changelog typos.
  * Add debug package.
  * Explicitly set DEB_DESTDIR now that we're building two binary
    packages.
  * Update package relations:
    + Relax to build-depend unversioned on cdbs: Needed version
      satisfied even in oldstable.
    + Build-depend on autotools-dev.
  * Cherry-pick patches from upstream mainline git branch:
    + Fix error reporting for connection errors.
    + Fix crash following symlinks.
    + Fix handling of large numbers of volumes.

  [ Chris Boot ]
  * Add patch 105 to fix an unterminated quoted string in
    add_netatalk_printer.
  * Update standards version to 3.9.5.
  * Fix Vcs-Git URL to make it canonical.
  * Fix avoid duplicate Section fields in control file.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Apr 2014 16:48:09 +0200

netatalk (2.2.2-1) unstable; urgency=low

  * New upstream release.
  * Drop patch cherry-picked upstream: Included in new upstream release.
  * Build-depend on libldap2-dev and libacl1-dev, to enable LDAP support
    and support for extended ACLs (and possibly avoid FTBFS).
    Closes: bug#645290, #651406. Thanks to Peter Eisentraut and masc.
  * Update copyright file:
    + Bump format to 1.0.
    + Fix double-indent in Copyright fields as per Policy §5.6.13.
    + Add Files paragraph for ACL code.
  * Bump standards-version to 3.9.3.
  * Update copyright file: Add disclaimer to License paragraph
    GAP~Makefile.in.
  * Bump debhelper compat level to 7.
  * Add patch 101 to start avahi-daemon (if available) before atalkd.
    Recommend avahi-daemon.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 20 Mar 2012 23:37:08 +0100

netatalk (2.2.1-1) unstable; urgency=low

  * New upstream release.
    + Closes: bug#637025.
    + Fixes FTBFS on GNU/kFreeBSD.
      Closes: bug#630349. Thanks to Petr Salinger.
  * Fix typo in comment.
  * Update patches:
    + Drop patch 213 (CVE-2008-5718): fixed upstream since 2.0.5.
    + Drop patches 115 and 214 (default → etc/default): fixed upstream
      since 2.2.1.
    + Unfuzz patch 114.
    + Add patch cherry-picked from upstream git, to fix EA header
      related file move/delete errors.
      Closes: bug#648792. Thanks to Tim Miller Dyck.
  * Update copyright file: Add/extend a few files sections.
  * Update package relations:
    + Tighten build-dependency on cdbs slightly.
    + Relax build-depend unversioned on debhelper and devscripts (needed
      versions satisfied even in oldstable).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 30 Nov 2011 19:05:23 +0700

netatalk (2.2~beta4-1) unstable; urgency=low

  * New upstream release.
    + Fixes "Internal Error" after ad_open on sparc.
      Closes: bug#606005. Thanks to Alfredo Sola.
  * Adjust references to unofficial packages in README.Debian.
  * Use dversionmangle (not uversionmangle) in watch file. Fix add
    leading dash (-) to upstream version in mangling.
  * Update patches:
    + Drop patches 107 and 294 (Zeroconf support): Implemented
      (differently) upstream now.
    + Drop patches 109 and 112 (avoid broken XFS linkage) obsolete.
    + Drop patch 200 (hostname resolving): adopted upstream.
    + Refresh patch 205.
  * Rewrite copyright file using draft 174 of DEP-5 format.
  * Build-depend on and recommend unversioned (i.e. default) BerkeleyDB
    packages.
    Closes: bug#621413. Thanks to Ondřej Surý.
    Simplify suggestions on older versioned BerkeleyDB packages.
  * Stop installing some documentation dropped upstream, and let CDBS
    automagically handle some of the remains.
  * Update control file:
    + Bump policy compliance to standards-version 3.9.2.
    + Shorten Vcs-* URLs.
  * Add patches 115 and (for automade file) 214 to avoid installing
    unneeded /default dir.
    Closes: bug#628119. Thanks to Russell Muetzelfeldt and Luk Claes.
  * Don't ship .la files. Closes: bug#621849. Thanks to Andreas Metzler
    and Luk Claes.
  * Stop renaming afile and achfile, dropped upstream.
  * Explicitly enable DDP (AppleTalk), now disabled by default.
  * Enable Zeroconf, should be stable now.
  * Simplify package relations:
    + Drop (build-)dependency fallback unneeded even for oldstable.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 05 Jun 2011 21:04:21 +0200

netatalk (2.1.4-1) unstable; urgency=low

  * New upstream release.
  * Add NEWS entry on BerkeleyDB bump to 4.8 and databases now auto-
    upgrading (replacing older testing-only entry bumping to 4.7).
    Rephrase README.Debian to mention auto-upgrading.
  * Bump standards compliance to standards-version 3.9.0.
  * Unfuzz patch 114.
  * Update copyright file:
    + Fix document a few missed copyright holders (no new licenses).
    + Split comments in License fields into separate License-Comments
      fields.
  * Ease building with git-buildpackage: Git-ignore quilt .pc dir, and
    add source local-options.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 28 Nov 2010 13:26:40 +0100

netatalk (2.1.2-2) unstable; urgency=low

  * Fix enable DEB_BUILD_HARDENING.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Jun 2010 22:49:52 +0200

netatalk (2.1.2-1) unstable; urgency=low

  * New upstream release.
  * Refresh patch 205.
  * Tighten reinstall-initscript-quirk: upstream no longer double-
    expands DESTDIR.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Jun 2010 20:08:29 +0200

netatalk (2.1-2) unstable; urgency=low

  * Drop patch 212 (disable CNID metad by default): the CNID scheme used
    by default since Netatalk 2.1, dbd, requires metad enabled.
    Closes: bug#581773, thanks to Søren Grønning.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 15 May 2010 21:09:28 +0200

netatalk (2.1-1) unstable; urgency=low

  * New upstream release.
  * Update patches:
    + Drop patches 001, 002, 003, 101, 102, 103, 104, 105, 106, 113,
      206, 210, 214, and disabled patches 291, 292, 293: Merged upstream
      or no longer applies.
    + Refresh remaining (enabled) patches 109, 200, 205, 212, 213, with
      shortening quilt options --no-timestamps --no-index -pab.
    + Disable patch 109: XFS quota support apparently no longer broken.
  * Use only official CDBS (drop local snippets): All improvements now
    adopted upstream.
  * Use source format 3.0 (quilt), and stop including patchsys-quilt.mk.
  * Refer to FSF website (not postal address) in rules file.
  * Bump copyright years in header of in rules file.
  * Drop locally implemented DEB_MAINTAINER_MODE in rules file: Now
    adopted upstream.
  * Rewrite copyright file using draft DEP5 rev. 135. Adds new owners
    and licenses, and some files lacking proper licensing are revealed.
  * Install docs README.AppleTalk (not README.platforms, its old name)
    and README.ids.
  * Simplify rules file to no longer regenerate autotools: no patches
    affect upstream-shipped automade files.
  * Bump standards compliance to standards-version 3.8.4.
  * Add workaround for upstream braindead double expanded DESTDIR.
  * Tighten build-dependency on cdbs.
  * Stop build-depending on libtool, automake1.11 or autoconf.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 01 May 2010 10:11:00 +0200

netatalk (2.0.5-3) unstable; urgency=medium

  * Fix replace/drop bogus and/or obsolete configure options:
    + Use --without-ssl-dir/--with-ssl-dir (not --with-openssl-dir/
      --without-openssl-dir). Closes: bug#565969, thanks to Fabian
      Greffrath.
    + Use --enable-tcp-wrappers (not --with-tcp-wrappers).
    + Use --disable-srvloc (not --disable-slp).
    + Drop --disable-logger (obsolete since 2.0.1).
    + Drop --with-mangling (apparently obsolete since 2.0 alpha 1).
    + Drop --with-nls-dir and --without-xfs (apparently obsolete).
  * Autoreconfigure during build (since upstream does not enable
    maintainer-mode). Disable autotools-related patches. Build-depend on
    libtool, automake1.11 and autoconf. Closes: bug#559060, thanks to
    Cyril Brulebois and others.
  * Add safety-check to fail build if accidentally linked against
    libssl. Thanks to Fabian Greffrath (see bug#565969).
  * Disable atalkd by default, to not require supported network active
    at daemon start time. Closes: bug#565568, thanks to Kurt Roeckx.
    Add NEWS entry about the change.
  * Build-depend on and enable hardening-includes.
  * Fix adjust "See also" of manpages referring to afile or achfile.
  * Set urgency=medium as earlier lack of explicit disabling openssl
    caused the package to violate licensing for some architectures, also
    affecting testing.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 23 Jan 2010 05:08:37 +0100

netatalk (2.0.5-2) unstable; urgency=low

  * Add patches to sync with upstream stable HEAD:
    + 001_init_sockaddr_in.patch
    + 002_fix_cnid_maint_symlink_attack.patch
    + 003_client-supported_volparam_bitmap.patch. Closes: bug#442228,
      thanks also to Patrik Schindler.
  * Link against BerkeleyDB 4.8. Update (build-)dependencies, patch 2.6,
    README.Debian and example script netatalk_update.sh, and add NEWS
    item.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Dec 2009 00:54:53 +0100

netatalk (2.0.5-1) unstable; urgency=low

  * New upstream prerelease.
  * Unfuzz patches, and minimize their headers.
  * Fix old-style update-rc.d options to match LSB init script hints:
    stop only in runlevel 1 (let system kill it in runlevels 0 and 6).
  * Fix rename variable used to mangle version in get-orig-source rule.
  * Declare binary dependencies (not only build-dependencies) in
    debian/rules.  Document reasons for each dependency.
  * Really drop suggesting timeout (claimed but forgotten in
    2.0.4~rc2-1).
  * Build-depend on libcrack2-dev (with cracklib-dev only as fallback).
  * Drop build-depending on avahi-client-dev by default (only when
    DEB_BUILD_OPTIONS contains zeroconf).
  * Improve patch 201 to use modern roff2ps in etc2ps, and suggest
    groff.
  * Recommend (not suggest) libpam-cracklib, and use default PAM
    configfile setup.
  * Bump policy compliance to standards version 3.8.3.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 Nov 2009 18:17:40 +0100

netatalk (2.0.4-2) unstable; urgency=low

  * Update copyright hints.
  * Lower policy compliance to 3.8.0 (uncertain about sysv script
    requirements in 3.8.1).
  * Fix order of db upgrade commands in README.Debian. Closes:
    bug#533344, thanks (again) to Itai Seggev.
  * Update package-relations.mk: Cleanup unversioned+versioned
    dependency mix. Improve whitespace cleanup. Rewrite and silence
    applying dependencies.
  * Fix and improve README.Debian section on recompiling with OpenSSL,
    thanks to Gijs Hillenius and others.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 09 Sep 2009 23:43:27 +0200

netatalk (2.0.4-1) unstable; urgency=low

  * New upstream release.
  * Update local CDBS snippets:
    + Fix package-relations cleanup of debhelper 7
    + Implement fail-source-not-repackaged rule in upstream-tarball.mk
    + Update URL to draft DEP5 format in copyright-check.mk output
  * Add proper copyright header to debian/rules.
  * Rewrite copyright to use DEP5 r54 proposed machine-readable format.
  * Fix and improve db upgrade commands in README.Debian, and adjust
    NEWS. Closes: bug#533344, thanks to Itai Seggev.
  * Update dependencies:
    + Suggest texlive-base-bin (not tetex-bin). Closes: bug#533345,
      thanks to Itai Seggev
    + Suggest (not recommend) libpam-cracklib
    + Build-depend on libcups2-dev (not libcupsys2-dev), thanks to
      lintian
  * Fix patches against autogenerated files:
    + Renumber patches 208, 209 and 211 to have them applied last.
    + Rewrite and rename patch 109 to unconditionally avoid broken xfs
      quota, and add new patch 294 doing the same to autogenerated
      configure script.
    + Disable patches 107 and 112 to avoid maintaining complex autotools
      patch for feature we do not currently use anyway (zeroconf).
    Together, above closes: bug#533141, thanks to Itai Seggev and Frank
    Lahm.
  * Drop Uploaders stanza: I am already maintainer (lintian complains),
    and Sebastian haven't contributed for a couple of years (package is
    in LowNMU and collab-maint: contributions are still welcome!).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 16 Jun 2009 23:32:48 +0200

netatalk (2.0.4~rc2-1) unstable; urgency=low

  * New upstream prerelease:
    + Drop timeout
    + New afpd volume options illegalseq, allow_hosts, denied_hosts,
      dperm and fperm
    + Allow line continuation in afpd.conf and AppleVolumes.default
    + Support CJK encoding in afpd (closes: bug#299742)
    + Default afpd UAMs: DHX + DHX2 (but Debian still only support DHX2)
    + Fix afpd resolveid error code for directories from MacOS X
    + increase the number of cnid_dbd slots to 512 (closes: bug#507538)
  * Rewrite copyright to newer DEP5 draft. Add new unicode files (new
    author, same licensing).
  * Suppress DHX2 logins in logcheck file.
  * Add README.source.  Drop custom hints about CDBS.
  * Enable signed tags in git-buildpackage configfile.
  * Extend local CDBS snippet package-relations.mk with support for more
    dependencies and slightly improved cleanup.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 May 2009 16:28:02 +0200

netatalk (2.0.4~beta2-5) unstable; urgency=low

  * Build-depend on libdb4.7-dev (not libdb4.2-dev). Recommend
    db4.7-util and sugest (not recommend) db4.2-util. Update patches 111
    and 206. Update README.Debian and add NEWS entry. Closes:
    bug#421950.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 02 Mar 2009 05:18:59 +0100

netatalk (2.0.4~beta2-4.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix incomplete upstream patch for CVE-2008-5718 by
    escaping every problematic character and not only those which
    enables an attacker to execute arbitrary code
    (213_CVE-2008-5718.patch; Closes: #510585).

 -- Nico Golde <nion@debian.org>  Thu, 29 Jan 2009 11:32:54 +0100

netatalk (2.0.4~beta2-4) unstable; urgency=high

  * Rebuild for unstable branch.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 21 Jan 2009 18:20:47 +0100

netatalk (2.0.4~beta2-3) UNRELEASED; urgency=high

  * Update debian/copyrights:
    + Merge entries with same owners and license (only differing years)
    + Consistently list years before owner
    + Sort owners
    + Explicitly include GAP licenses (wording vary slightly)
    + Fix GPL-2+ licensed files wrongly registered as GAP
  * Keep urgency=high as 2.0.4~beta2-2 changes are still pending.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 21 Jan 2009 18:08:44 +0100

netatalk (2.0.4~beta2-2) unstable; urgency=high

  * Always use gcrypt. Simplify optional openssl support.
  * Readd and update OpenSSL section to README.Debian, and improve NEWS
    entry to clarify that Randnum UAM is no longer provided by default.
  * Add patches 001-005 (but avoid applying some of them) to sync with
    upstream development, fixing the following issues:
    + remove bogus default ppd _PATH_PAPDPPDFILE
    + remove signed/unsigned gcc warning
    + better handling of bogus ppd files
    + Remove ucb includes from Netatalk (i.e. drop SunOS 4.x support)
    + Fix off-by-one error in PPD file processing
    + Fix dhx2 logincont packet size
  * Update copyright hints (no new owners or licenses).
  * Explicitly build-depend on libdb4.2-dev (not libdb-dev).
  * Mention MacOS X 10.5.x group ACL workaround in README.Debian.
    Closes: bug#458174, thanks to Tim Miller Dyck.
  * Set urgency=high due to possible security implications in above, and
    due to accidentally linking against BerkeleyDB 4.6 in prior release.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 21 Jan 2009 11:50:30 +0100

netatalk (2.0.4~beta2-1) unstable; urgency=high

  * New upstream prerelease:
    + Quote chars in papd popen variables expansion (and other fixes to
      papd). Fixes remote execution security hole CVE-2008-5718. Closes:
      bug#510585.
  * Mangle upstream tarball beta version.
  * Drop patches 000 and 001 contained upstream now.
  * Unfuzz patches 107, 109, 205 and 212.
  * Unfuzz and enable patches 204a, 207a, 208, 209 and 211.
  * Build new DHX2 UAM:
    + Build-depend on libgcrypt11-dev
    + Configure with --with-libgcrypt
    + Drop SSL note from README.Debian
    + Add NEWS entry regarding new and recommended DHX2 UAM
  * Disable CDBS autotools reconfiguration.
  * Update cdbs snippets:
    + Move dependency cleanup to new local snippet package-relations.mk.
    + Update copyright-check output to more closely match proposed new
      copyright file format.
    + Several minor improvements to upstream-tarball.mk.
    + Compact simple licenses (those without ' or later') in
      copyright-check.mk
    + Fix use underscore (not dash) in internal variable
    + Ignore only debian changelog and copyright-related files by
      default in copyright-check.mk
    + Correct and update copyright hints of the snippets themselves
    + Update README.cdbs-tweaks.
  * Add DEB_MAINTAINER_MODE in debian/rules (thanks to Romain Beauxis).
  * Stop installing README.ids no longer provided upstream.
  * Rewrite debian/copyright using new new format specification, and
    update copyright hints.
  * Semi-auto-update debian/control to update dependencies:
      DEB_MAINTAINER_MODE=1 fakeroot debian/rules clean
  * Set urgency=high due to security fix.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 09 Jan 2009 05:52:18 +0100

netatalk (2.0.3-11) unstable; urgency=medium

  * Add patch 001 from upstream CVS to fix LFS test for cross
    compilation.
  * Update cdbs tweaks:
    + Relax copyright-check.mk to only warn about its discoveries.
      Closes: bug#487061, thanks to Lucas Nussbaum.
    + Correct abbreviation of BSD licenses in copyright-check.mk.
    + Update dependency cleanup to strip cdbs 0.4.27 (not 0.4.27-1).
  * Update debian/copyright-hints.
  * Raise urgency to medium due to FTBFS bugfix.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 29 jun 2008 13:57:28 +0200

netatalk (2.0.3-10) unstable; urgency=low

  * Update cdbs tweaks:
    + Strip any non-printable characters in copyright-check.mk.  Update
      copyright-hints.  This (and earlier updates) closes: bug#477967.
  * Bump debhelper compatibility level to 6 (was 4).
  * Semi-auto-update debian/control to update build-dependencies:
    DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 Apr 2008 13:35:04 +0200

netatalk (2.0.3-9) unstable; urgency=low

  * Update zeroconf patch (found in Gentoo bug#133575):
    + Enable zeroconf only if srvloc is not enabled.
    + Use Avahis threaded poll implementation only for Avahi >= 0.6.4,
      and fallback to handling it internally.
  * Add patch 113 to add LSB dependency info to sysV script, and leave
    shutdown process to core sendsigs routine. Closes: bug#459442.
  * Add patch 114 to fix macusers ps parsing bug. Closes: bug#462186.
  * Disable zeroconf support (enable by rebuilding with
    DEB_BUILD_OPTIONS=zeroconf).  Closes: bug#462082, #463544.
  * Packaging moved to collab-maint Git at Alioth. Update VCS-* hints.
  * Update local cdbs snippets:
    + Major improvements to copyright-check, including new versioned
      build-dependency on devscripts.  Update debian/copyright_hints.
    + Drop wget options broken with recent versions of wget in
      update-tarball.mk.
    + Update debian/README.cdbs-tweaks.
  * Semi-auto-update debian/control to apply changes contained in the above:
    DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 04 Apr 2008 23:08:59 +0200

netatalk (2.0.3-8) unstable; urgency=medium

  * Add patch 001 to sync with upstream CVS as of today.
  * Add rule to generate CVS snapshot patch.
  * Reduce patch 110 and unfuzz other patches to adapt to CVS snapshot.
  * Add patch 111 extending autotools macro resolving BerkeleyDB libs to
    check newest versions first, and check versions 4.5 and 4.6 too.
  * Explicitly disable SLP support and build-conflict against libavahi-
    compat-libdnssd-dev to not clash with AVAHI-based Zeroconf support.
    Closes: bug#459395, thanks to Gregory Oschwald.
  * Add patch 112 to fix assertion in zeroconf patch. Closes:
    bug#457246, thanks to Omar Siam.
  * Set urgency=medium as lack of the above zeroconf fix silently broke
    netatalk completely in some situations.
  * Update cdbs tweaks:
    + Support zip in upstream-tarball.mk
    + Use ~ as repackaging delimiter in upstream-tarball.mk to make room
      for point releases and cleaned up rerelease
    + Rename top srcdir in repackaged tarball to $pkg-$ver.orig to
      comply with Developers Reference 6.7.8.2.
    + Support mangling upstream version string in upstream-tarball.mk
    + Drop buildcore.mk override (set DEB_AUTO_UPDATE_DEBIAN_CONTROL
      manually when needed instead)
    (none of the above affect this package currently)
    + Add (and use) new variables DEB_COPYRIGHT_CHECK_IGNORE and
      DEB_COPYRIGHT_CHECK_IGNORE_REGEX to copyright-check.mk.
  * Fix safety check in debian/rules for compiling official packages
    with SSL support.
  * Update section in README.Debian on recompiling with SSL support.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 01 Feb 2008 02:44:53 +0100

netatalk (2.0.3-7) unstable; urgency=low

  * Friendly package maintainer takeover, with the consent of the
    previous maintainer. Thanks a lot for your excellent work with both
    packaging and upstream development, Sebastian Rittau!
  * Enable BDB transaction protection. Closes: bug#435210, thanks to
    Craig Ringer.
  * Fix bogus trailing space in logcheck rule. Closes: bug#381839,
    thanks to Bernhard Sadlowski.
  * Fix building with DEB_BUILD_OPTIONS=ssl by moving ssl_build_depends
    inclusion below other build-dependencies declared in debian/rules.
  * Add Vcs-Svn and Vcs-Browser fields to debian/control.
  * Move Homepage to own field (from pseudo-field in long description).
  * Update CDBS tweaks:
    + update-tarball needs cdbs 0.4.39 or newer (only relevant for
      backports).
    + Fix typo in update-tarball regarding gzip-recompressing tarballs.
    + Use uppercase variables in copyright-check.
  * Update build-dependency cosmetics in debian/rules, and semi-auto-
    update debian/control:
      DEB_BUILD_OPTIONS=cdbs-autoupdate fakeroot debian/rules pre-build
  * Support Zeroconf (instead of SLP:
    + Add patches 107 and 108 to support zeroconf, found at
      http://aur.archlinux.org/packages/netatalk/netatalk/ .
    + Enable zeroconf, and build-depend on recent version of libavahi-client-dev.
    + Drop SLP support, and drop build-depending on libslp-dev and recommending
      slpd.
    + Unfuzz zeroconf patches.
  * Generate autotools at build time (zeroconf patches change autobuilt files).
    + Disable patches to autobuilt files.
    + Adjust patch 210 to not indent comment hashes, thanks to automake 1.10.
    + Duplicate macros directory as m4, and touch AUTHORS, ChangeLog and INSTALL
      (as workaround for cdbs lacking support for passing options to autotools).
    + Suppress copyright-checking autobuilt files.
    + Build-depend on libltdl3-dev (seems to grow a dependency on that once the
      source has been rebuilt once).
  * Build-depend on libkrb5-dev (not heimdal-dev). Closes: bug#441520.
  * Add patch 109 to support explicitly avoiding XFS quota support. Patch found at
    http://aur.archlinux.org/packages/netatalk/netatalk/ . Use it - code is
    broken currently (complains about redefining __swabXXX in xfs/swab.h).
  * Only enable PGP UAM when SSL is enabled (didn't fail but was confusing).
  * Update BerkeleyDB linkage:
    + Add patch 110 to fix linking against newer versions of BerkeleyDB, found at
      http://aur.archlinux.org/packages/netatalk/netatalk/ .
    + Extend patch 110 to avoid deprecated DB_VERB_CHKPOINT.
    + build-depend on libdb-dev (not libdb4.2-dev).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 06 Dec 2007 01:42:44 +0100

netatalk (2.0.3-6) unstable; urgency=low

  * Update CDBS tweaks:
    + Replace auto-update.mk with overloading buildcore.mk.
    + Add debian/README.cdbs-tweaks and advertise it in debian/rules.
    + Fix applying buildinfo only once.
    + Fix race condition: check copyright strings in pre-build target
      (not clean target).
    + Add upstream-tarball.mk to implement get-orig-source target.
  * Declare (and cleanup) build-dependencies in debian/rules.
  * Semi-auto-update debian/control:
      DEB_BUILD_OPTIONS=cdbs-autoupdate fakeroot debian/rules pre-build
  * Add patch 212 to disable cnid_metad by default. This was the only
    major change in -5 initscript and thus hopefully closes: bug#384276.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 12 Aug 2007 22:59:12 +0200

netatalk (2.0.3-5) unstable; urgency=low

  * Change back to unversioned build-dependency on heimdal-dev again
    (it was only a temporary need, and prevented backporting to sarge).
  * Add patches to fix a few missed sed replacements:
    + 101_fix_manpage_sed_replacements.patch
    + 208_fix_manpage_sed_replacements_for_automade_file.patch
  * Add patches to make upstream sysv init-file behave sanely:
    + 102_rename_initscript.patch
    + 103_initscript_background_off_by_default.patch
    + 104_initscript_load_module_only_if_intended.patch
    + 105_initscript_config_in_etc-default.patch
    + 106_papd_needs_atalk_and_fix_bashism.patch
    + 209_rename_initscript_for_automade_file.patch
    + 210_avoid_update-rc-d.patch
    + 211_avoid_update-rc-d_for_automade_file.patch
  * Add debian/patches/README explaining the patch numbering scheme.
  * Enable the use of upstream Debian-compliant init-file:
    + SysV daemons honours locale defaults.
    + SysV script handles new cnid daemon.
  * Have debhelper reinstall init-file, adding maintainer script hooks.
  * Rename NEWS.Debian to NEWS in source to get recognized by debhelper
    (yes, seems odd, but that's how it works).
  * Recommend procps, needed by macusers.
  * Fix default UAM list (upstream assumes openssl is compiled in).
  * Improve use of cdbs:
    + Add local snippet copyright-check.mk: Scan source for (c) changes.
    + Add local snippet auto-update.mk: auto-update build-dependencies.
      (enabled only when environment includes DEB_BUILD_OPTIONS=update).
    + Add local snippet buildinfo.mk: Include env info with binary pkgs
    + (instead of invoking buildinfo directly within debian/rules).
    + Switch to using patchsys-quilt (instead of simple-patchsys).
  * Add comments documenting the various parts of debian/rules, and
    avoid indentation, to not show them during build.
  * Fix my entry as package uploader.
  * Add netatalk_update.sh (found on upstream wiki) as example script.
  * Support autobuilding of ssl-enabled packages when DEB_BUILD_OPTIONS
    contains "ssl":
    + Include ssl-related build-dependencies with cdbs auto-update (when
      environment contains DEB_BUILD_OPTIONS=update,ssl or similar).
    + Extend default UAM list handling to toggle SSL-enabled UAMs.
    + Safety-check: Refuse to build if build-depending on "libssl" but
      without "ssl" included in DEB_BUILD_OPTIONS (if auto-updated to
      use ssl but later incosistently built without it enabled).
  * Update note in README.Debian about unofficial ssl-enabled packages
    to refer to new netatalk-only repository:
    deb http://debian.jones.dk/ $DIST/netatalk main
  * Bump up standards-version to 3.7.2 (no changes needed).
  * Drop no longer relevant (pre-potato) dependencies:
    - Depended on libpam-runtime (>= 0.76-14).
    - Conflicted with libatalk1 and netatalk-dev.
    - Replaced libatalk1.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 13 Aug 2006 04:22:26 +0200

netatalk (2.0.3-4) unstable; urgency=low

  * Start cnid_metad when requested by user. (Patch stolen from Ubuntu.)
    + debian/netatalk.init: Run cnid_metad.
    + Closes: #308828 "cnid_metad doesn't run on startup"
  * debian/control: Bump heimdal-dev dependency to >= 0.7.1-3 to prevent
    build problems on mips/-el.

 -- Sebastian Rittau <srittau@debian.org>  Sat, 14 Jan 2006 09:26:43 +0100

netatalk (2.0.3-3) unstable; urgency=low

  * debian/netatalk.dirs: Add var/spool/netatalk.
    + Partly addresses bug #336495.
  * debian/control: Build-depend on heimdal-dev >= 0.7.0.
  * Fixed namespace conflict with bigloo by renaming afile and achfile.
    + Closes: #132054 "Should not conflict with bigloo"
    + Closes: #145482 "netatalk conflicts with bigloo"
    + debian/patches/207_afile_namespace_conflict.diff: Rename afile to
      apple_file and achfile to apple_chfile.
    + debian/rules: Manually rename afile.1 to apple_file.1 and achfile.1 to
      apple_chfile.1.
    + debian/control: Removed conflict with bigloo.
  * debian/patches/203_amd64_fixes.diff: Removed, obsolete.

 -- Sebastian Rittau <srittau@debian.org>  Thu, 29 Dec 2005 19:45:54 +0100

netatalk (2.0.3-2) unstable; urgency=low

  * Fixed namespace conflict with yudit by renaming uniconv to
    netatalk-uniconv. (Closes: #306385, #306279)
    + debian/patches/204_uniconv_namespace_conflict.diff: Rename uniconv
      to netatalk-uniconv. Adapt the man page accordingly.
    + debian/rules: Manually rename uniconv.1 to netatalk-uniconv.1.
    + debian/control: Removed conflict with yudit.

 -- Sebastian Rittau <srittau@debian.org>  Wed, 13 Jul 2005 16:10:59 +0200

netatalk (2.0.3-1) unstable; urgency=low

  * New upstream version.

 -- Sebastian Rittau <srittau@debian.org>  Sun, 26 Jun 2005 06:09:33 +0200

netatalk (2.0.2-5) unstable; urgency=low

  * Recompile against unstable libc6 and CUPS. (Closes: #312963)
  * Policy version 3.6.2. (No changes required.)

 -- Sebastian Rittau <srittau@debian.org>  Sun, 26 Jun 2005 05:53:52 +0200

netatalk (2.0.2-4) unstable; urgency=low

  * debian/README.Debian: Fixed typos, removed my homepage as alternate
    download location for SSL enabled packages for now.
  * Added conflict with yudit. Partly addresses bugs #306279 and #306385.

 -- Sebastian Rittau <srittau@debian.org>  Tue,  7 Jun 2005 12:54:23 +0200

netatalk (2.0.2-3) unstable; urgency=low

  * Fixed build problem on amd64.
    + debian/patches/203_amd64_fixes.diff: New patch (thanks, Andreas
      Jochens).
    + Closes: #300354 "FTBFS (amd64/gcc-4.0): static declaration of 'ucreator'
      follows non-static declaration"

 -- Sebastian Rittau <srittau@debian.org>  Sat, 19 Mar 2005 12:54:12 +0100

netatalk (2.0.2-2) unstable; urgency=low

  * debian/control: Added homepage URL to the long description.
  * debian/control: Added missing build dependency on heimdal-dev.
    + Closes: #300106 "FTBFS: missing build-depends?"

 -- Sebastian Rittau <srittau@debian.org>  Thu, 17 Mar 2005 23:35:56 +0100

netatalk (2.0.2-1) unstable; urgency=low

  * New upstream version.
    + debian/patches/100_psf_path.diff: Removed, integrated upstream.
    + debian/patches/200_netatalk_conf_defaults.diff: Updated.
    + debian/patches/202_psf_8_paths.diff: Updated.
    + debian/patches/203_add_netatalk_printer_paths.diff: Removed.
    + debian/patches/205_applevolumes_default_homedir.diff: Updated.
    + debian/netatalk.examples: Removed.
    + debian/netatalk.install: Removed obsolete stuff.
    + Closes: #277176 "Please package version 2.0"
  * Removed useless netatalk-dev package.
    + debian/control: Removed the netatalk-dev package. Make netatalk conflict
      with netatalk-dev.
    + debian/rules: Don't call d-devlibdeps. Installation directory is now
      debian/netatalk instead of debian/tmp. Remove unneeded files from the
      installation directory.
    + debian/netatalk.install: Removed.
    + debian/netatalk-dev.docs: Removed.
    + debian/netatalk-dev.install: Removed.
  * debian/control: Fix recommends on db4.2-util.
    + Closes: #288318 "Recommends non-existent package db4.2-utils"
  * New features: CUPS support, PGP and Kerberos UAMs.
    + debian/control: Added libcupsys2-dev and heimdal-dev to the build
      dependencies.
    + debian/rules: Added --enable-pgp-uam, --enablekrb4-uam and
      --enable-krbV-uam configure flags.
  * Documentation update:
    + debian/netatalk.docs: Removed doc/CONFIGURE, added doc/README.ids.
    + debian/netatalk-dev.docs: Added doc/README.logger.

 -- Sebastian Rittau <srittau@debian.org>  Wed, 16 Mar 2005 00:52:28 +0100

netatalk (1.6.4a-1) unstable; urgency=high

  * New upstream release. Security fix: insecure tempfile handling
    (CAN-2004-0974). Closes: bug#278396 (thanks to Joey Hess
    <joeyh@debian.org>).
  * Recommend db4.2-utils and add new patch 206 adapting hardcoded paths
    in cnid_maint to Debian location of helper binaries. Closes:
    Bug#239347 (thanks to Rory Campbell-Lange
    <rory@campbell-lange.net>).
  * Improve init script:
    + Timelord requires Appletalk, so load only when ATALKD_ON=yes.
    + Use && instead of test -a (it is apparently not POSIX compliant).
  * Cleaned up debian/copyright:
    + Mention "GNU systems" (instead of only GNU/Linux).
    + Drop info contained in changelog.
    + Refer only to upstream source. Closes: Bug#260703 (thanks to Adam
      Glasgall <teferi@wmute.net>).
    + Use simpler upstream source URL: http://netatalk.sourceforge.net/.
  * Improve README.Debian section on SSL being disabled:
    + Rephrase to describe only _current_ state (NEWS.Debian is the
      place for _change_ of state).
    + Rephrase to clarify the FSF and Debian as _interpreting_ the
      conflict between licenses (could be seen as FSF and Debian being
      the authors of OpenSSL license).
    + Clarify the FSF abbreviation.
    + Describe how to rebuild locally with SSL support.
    + Add another possible source of SSL-enabled packages, and clarify
      that both sources are only unofficial _suggestions_. Closes (also)
      bug#260703 (thanks to Adam Glasgall <teferi@wmute.net>).
  * Set urgency=high to get this bugfix release into sarge ASAP.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 31 Oct 2004 20:50:17 +0100

netatalk (1.6.4-2) unstable; urgency=low

  * The following changes from Jonas (thanks!):
    + Tighten netatalk-dev dependency on exact same version of netatalk.
    + Bump up dependency on libpam-runtime to 0.76-14 (reflecting a recent
      update to Debian-PAM-MiniPolicy).
    + Drop patch no longer needed: 204_netatalk_pamd_enable_password.diff.
    + Enable SRVLOC support, recommend slpd and build-depend on
      libslp-dev.
    + Use (and build-depend on) d-devlibdeps.
    + Use (and build-depend on) dh-buildinfo.
    + Move around logcheck files to be recognized by dh_installlogcheck,
      and tighten build-dependencies of debhelper and cdbs.
    + Remove cracklib-related (build-)dependencies (they are only used
      when compiled with ssl support).
    + Support enabling ssl-related options simply by setting
      "DEB_BUILD_OPTIONS=ssl" at build time.
      - Include cracklib-support to PAM config on ssl build.
      - Only enable DHX plugin on ssl build.
    + Add TODO with notes on things to (re)add when (if ever?) ssl support
      is enabled again by default.
  * Use Berkeley DB 4.2.
    + debian/control: Changed build-dependencies accordingly.
    + debian/NEWS.Debian: Updated.
    + debian/README.Debian: Updated.

 -- Sebastian Rittau <srittau@debian.org>  Mon, 19 Jan 2004 12:43:49 +0100

netatalk (1.6.4-1) unstable; urgency=medium

  * New upstream release.
    + debian/patches/100_psf_path.diff: Updated.
  * debian/control: Build-Depend on libdb4.1-dev. [Suggested by Jonas
    Smedegaard]
  * Describe problems with upgrading from older BDB using versions of
    Netatalk to newer versions. [Problem tracked down by Jonas]
    + debian/README.Debian: Added note about upgrading issues with libdb.
    + debian/NEWS.Debian: Added another note and refer to README.Debian.

 -- Sebastian Rittau <srittau@debian.org>  Sun,  7 Dec 2003 15:30:18 +0100

netatalk (1.6.3-4) unstable; urgency=low

  * debian/logcheck/ignore.d.server: Patch by David Sewell to suppress
    rtmp_replace and rtmp_free to be displayed by logcheck.
    + Closes: #193304 "Suggested addition to logcheck ignore file for netatalk"
  * debian/control: Standards-Version 3.6.1 (no changes required)
  * Use common PAM files:
    + debian/control: Depend on libpam-runtime (>= 0.76-13.1).
    + debian/netatalk.install: Don't install upstream's PAM file.
    + debian/netatalk.pam: Custom PAM file.
    + debian/rules: Install debian/netatalk.pam into debian/netatalk/etc/pam.d.

 -- Sebastian Rittau <srittau@debian.org>  Sat, 23 Aug 2003 14:40:08 +0200

netatalk (1.6.3-3) unstable; urgency=low

  * Fix upload.
  * debian/rules: Set variables after including makefile fragment.
    (Closes: #198244)
  * debian/rules: Put source package in section net.

 -- Sebastian Rittau <srittau@debian.org>  Sun, 22 Jun 2003 23:22:22 +0200

netatalk (1.6.3-2) unstable; urgency=low

  * Not a Debian native package anymore. (Bug introduced into 1.6.3-1.)

 -- Sebastian Rittau <srittau@debian.org>  Fri, 20 Jun 2003 13:39:21 +0200

netatalk (1.6.3-1) unstable; urgency=low

  * New upstream release.
    + debian/patches/000_netatalk_conf_typo.diff: Removed.
    + debian/patches/007_include_fixes.diff: Removed.
  * Remove adv1tov2 since it's obsolete:
    + debian/netatalk.install: Removed debian/tmp/usr/bin/adv1tov2.
    + debian/netatalk.ignore: Added usr/bin/adv1tov2.
  * New patch naming scheme:
    + 0xx: Bug fixes the need to go upstream.
    + 1xx: Feature addition/changes that should go upstream.
    + 2xx: Debian-specific patches.
  * debian/rules: Add --disable-logger to the configure options. Suggestion
    by Thomas Kaiser.

 -- Sebastian Rittau <srittau@debian.org>  Thu, 19 Jun 2003 20:33:32 +0200

netatalk (1.6.2-3) unstable; urgency=low

  * debian/rules: Correct path to NLS directory.
  * debian/rules: Set DEB_UPDATE_RCD_PARAMS.
  * debian/control: Build-Depend on cdbs >= 0.4.0.1 to ensure the availability
    of DEB_UPDATE_RCD_PARAMS.
  * debian/control: Suggest tetex-bin instead of tetex-base.
  * debian/patches/008_psf_path.diff: Place psf etc. in libexecdir instead
    of sbindir.
  * debian/netatalk.install: Filters are now in debian/tmp/usr/lib/netatalk
    instead of debian/tmp/usr/sbin.

 -- Sebastian Rittau <srittau@debian.org>  Sun,  8 Jun 2003 16:46:42 +0200

netatalk (1.6.2-2) unstable; urgency=low

  * debian/netatalk.init: Don't redirect messages on force-reload.
    + Closes: #151050 "bad messages for restart"
  * debian/README.Debian: Document OpenSSL issues.
  * debian/control: Conforms to Debian policy 3.5.10.
  * debian/control: Build-Depend on libdb4.0-dev instead of libdb3-dev.
  * debian/control: Package netatalk depends on libdb4.0-util. (Pointed out
    by Nigel Pegram.)
  * Use CDBS:
    + debian/rules: Use cdbs.
    + debian/control: Build-Depend on cdbs and debhelper >= 4.1.0.
    + debian/patches/001_netatalk_conf_defaults.diff
    + debian/patches/002_etc2ps_paths.diff
    + debian/patches/003_psf_8_paths.diff
    + debian/patches/004_add_netatalk_printer_paths.diff
    + debian/patches/005_netatalk_pamd_enable_password.diff
    + debian/patches/006_applevolumes_default_homedir.diff
  * debian/patches/000_netatalk_conf_typo.diff: Fixed typo in comment.
    + Closes: #151051 "typo"
  * debian/patches/007_include_fixes.diff: Correct include paths.

 -- Sebastian Rittau <srittau@debian.org>  Fri,  6 Jun 2003 18:43:54 +0200

netatalk (1.6.2-1) unstable; urgency=low

  * New upstream version.
  * Put Debhelper compatibility level into debian/compat, use level 4.
  * Added dependencies on ${shlibs:Depends} and ${misc:Depends}.
  * Conforms to Debian policy 3.5.9.
  * Put netatalk in main.
  * Don't link against libssl for now. Also, don't install afppasswd and
    manual page.

 -- Sebastian Rittau <srittau@debian.org>  Sun,  4 May 2003 00:24:25 +0200

netatalk (1.6.1-1) unstable; urgency=low

  * New upstream version.
  * Corrected the download location in debian/copyright.
  * Removed links to undocumented(7).
  * Put filters in /usr/sbin (as per the upstream package) instead of
    /usr/lib/atalk. Should probably be changed upstream to be LIBEXECDIR
    instead of SBINDIR.
  * Removed some Debian patches, incorporated upstream.

 -- Sebastian Rittau <srittau@debian.org>  Sun, 23 Feb 2003 03:59:19 +0100

netatalk (1.6.0-5) unstable; urgency=low

  * Fixes a build problem on HPPA. (Closes: #178693)

 -- Sebastian Rittau <srittau@debian.org>  Tue, 28 Jan 2003 15:58:16 +0100

netatalk (1.6.0-4) unstable; urgency=low

  * Reupload to non-US.
  * Added Jonas Smedegaard to the uploaders field.

 -- Sebastian Rittau <srittau@debian.org>  Mon, 30 Dec 2002 10:49:02 +0100

netatalk (1.6.0-3) unstable; urgency=low

  * Enable long file name support.
  * Patches by Jonas Smedegaard:
    + Improved logcheck files
    + Remove deprecated logcheck symlinks
    + Macusers: strip GECOS field (committed upstream as well)
    + Macusers: recognize unresolved IP numbers (ditto)
    + Remove --list-missing option on dh_install for now

 -- Sebastian Rittau <srittau@debian.org>  Sun,  8 Dec 2002 17:40:44 +0100

netatalk (1.6.0-2) unstable; urgency=low

  * Use dh_install instead of dh_movefiles. Bump build-dependency on debhelper
    to >= 4.0.0.
  * Distribute /usr/bin/cnid_maint in package netatalk.
  * Distribute /usr/include/atalk/{boolean,logger}.h in package
    netatalk-dev.

 -- Sebastian Rittau <srittau@debian.org>  Sun,  1 Dec 2002 02:04:07 +0100

netatalk (1.6.0-1) unstable; urgency=low

  * New upstream version.
  * Removed --with-did=cnid configure option, since it's now default.
  * pap.8 no longer exists.
  * CHANGES document no longer exists.
  * Complies with policy version 3.5.8.
  * Changed dependency on timeout to a suggests, since the printing
    script ensures the existance of timeout before using it.
  * Recommend rc instead of just suggesting it, since it's needed by
    acleandir.rc.
  * Fixed the init.d script to allow host names with spaces. (Pointed out
    and solution provided by Thomas Kaiser.)
  * Fixed download location in copyright file.

 -- Sebastian Rittau <srittau@debian.org>  Sun,  1 Dec 2002 01:25:52 +0100

netatalk (1.5.5-1) unstable; urgency=low

  * New upstream version.
  * Compile with debug symbols by default, support for noopt in
    DEB_BUILD_OPTIONS.
  * Complies with policy version 3.5.7.
  * Add a note to README.Debian about problems with MacOS X and DDP and
    how to resolve them. Thanks to Nigel Pegram for pointing this out.
  * Removed espy's e-mail address, since I doubt that e-mail will still
    reach him. Instead, added his IRC nick to his name.

 -- Sebastian Rittau <srittau@debian.org>  Tue, 24 Sep 2002 23:54:51 +0200

netatalk (1.5.4.1-2) unstable; urgency=medium

  * Use CNID as DID scheme. This may prevent data loss.

 -- Sebastian Rittau <srittau@debian.org>  Fri, 16 Aug 2002 11:15:36 +0200

netatalk (1.5.4.1-1) unstable; urgency=low

  * New upstream version.

 -- Sebastian Rittau <srittau@debian.org>  Tue, 30 Jul 2002 23:08:26 +0200

netatalk (1.5.3.1-1) unstable; urgency=low

  * New upstream version.
  * Put afpd NLS file into /usr/share/nls/netatalk. (Rationale: They are
    generated binary files and not really meant for changing anyways - a
    mapping is a mapping is a mapping.)
  * debian/netatalk.docs: removed file BUGS.

 -- Sebastian Rittau <srittau@debian.org>  Tue,  9 Apr 2002 00:08:12 +0200

netatalk (1.5.2-1) unstable; urgency=low

  * New upstream version.
  * Install acleandir.rc and link to undocumented(7).
  * Suggest rc (for acleandir.rc).
  * Added package specific paragraphs to Netatalk's package descriptions.
    (Closes: #135523)
  * Added --with-nlsdir (and --with-pkgconfdir) configure option.
  * Added /usr/bin/afppasswd and correspoding man page. (Closes: #137963)

 -- Sebastian Rittau <srittau@debian.org>  Tue, 12 Mar 2002 09:34:21 +0100

netatalk (1.5.1.1-4) unstable; urgency=low

  * Use uams_dhx.so and uams_randnom.so. This will enable SSL support by
    default.
  * Fixed wrong line breaks in AppleVolumes.system. Pointed out by Jonas.

 -- Sebastian Rittau <srittau@debian.org>  Sat,  9 Feb 2002 15:47:21 +0100

netatalk (1.5.1.1-3) unstable; urgency=low

  * Offically re-enabled OpenSSL support. Rationale: In the OpenSSL FAQ[1]
    it says:

      2. Can I use OpenSSL with GPL software?

      On many systems including the major Linux and BSD distributions, yes (the
      GPL does not place restrictions on using libraries that are part of the
      normal operating system distribution).

    Also, Debian does not infringe on the copyright of the Netatalk team,
    since we (the Netatalk team) clearly intend Netatalk to be linked
    against OpenSSL. (OpenSSL support is on by default.)

    OpenSSL support was on by accident since a few version back anyways.
    Now removed the part about enabling OpenSSL support from README.Debian
    and added appropriate build dependencies.

    [1] http://www.openssl.org/support/faq.html

 -- Sebastian Rittau <srittau@debian.org>  Tue,  5 Feb 2002 01:04:02 +0100

netatalk (1.5.1.1-2) unstable; urgency=low

  * Added conflict with bigloo for now. This partly addresses bug
    #132041. (Both, netatalk and bigloo contain a binary with the name
    afile.) We need to fix this properly by ending the ugly name space
    pollution of afile.

 -- Sebastian Rittau <srittau@debian.org>  Sun,  3 Feb 2002 13:35:20 +0100

netatalk (1.5.1.1-1) unstable; urgency=low

  * New upstream version.
  * Added -q flag to grep call in init file to suppress spurious output.
    (Suggestion by Aubin Paul.)
  * The init script is now able to start AppleTalk daemons in the background.
    (See /etc/default/netatalk.) This was a much-requested feature and we
    can also remove the patches to netatalk.conf and its man page. And -
    most importantly - it fixes a four-figure and a "wontfix" wishlist bug!
    (Closes: #7683, #95942)

 -- Sebastian Rittau <srittau@debian.org>  Wed, 23 Jan 2002 01:08:39 +0100

netatalk (1.5.0-1) unstable; urgency=low

  * New upstream version "New Year's Eve Release". Final 1.5.0 version.
  * Removed the PowerPC segfault patch as it was included upstream.
  * Distribute new file NEWS.

 -- Sebastian Rittau <srittau@debian.org>  Sun, 30 Dec 2001 03:00:25 +0100

netatalk (1.5rc2-1) unstable; urgency=medium

  * New upstream version.
  * Patches from Jonas:
    + 004_logcheck_zip_gnireply_anything
      Logcheck fix.
    + 005_visible_home_dir_in_config_(again!_and_with_comments_this_time...)
      Make home directory visible again. This issue is still not resolved
      upstream. I will bring it up on the netatalk-devel mailing list and
      hope that Jonas' patch can go upstream.
    + 014_--sysconfdir_is_included_with_--enable-fhs
      Remove --sysconfdir from ./configure flags.
  * Fix segfault at startup on PowerPC. Thanks to David D. Kilzer for the
    analysis and fix. (Closes: #123951)

 -- Sebastian Rittau <srittau@debian.org>  Sat, 29 Dec 2001 03:48:41 +0100

netatalk (1.5rc1-1) unstable; urgency=medium

  * New upstream version. Some Debian patches were integrated upstream.
  * Correct included docs, since all platform specific docs were merged.
  * Upstream does now have manpages for apple_cp(1), apple_mv(1), and
    apple_rm(1), written by Lance Levsen <l.levsen@printwest.com>.
    Removed the links to undocumented(7).
  * Don't supply --with-did=last anymore, since this is now the default.
  * Removed code to work around an upstream packaging problem. This is fixed
    with the new release.

 -- Sebastian Rittau <srittau@debian.org>  Sat, 15 Dec 2001 14:23:56 +0100

netatalk (1.5pre8-6) unstable; urgency=low

  * More patches by Jonas Smedegaard <dr@jones.dk>
    + 001_make_sure_replaced_files_are_executable
    + 002_randnum.so_is_only_for_encryption-enabled_builds
      Removed uams_randnum.so from config files.
    + 003_bring_init_and_conf_in_sync_and_support_zone
      Set AFPD_MAX_CLIENTS to 50 in netatalk.init, too.
      New variable: ATALK_ZONE for configuration.
    + 012_logcheck_corrections
  * Also "fixed" uams_dhx_pam.so. (Closes: #120360)
  * Removed the USE_SSL variable from debian/rules. Instead, document the
    use of --with-ssl-dir in README.Debian.

 -- Sebastian Rittau <srittau@debian.org>  Sun,  2 Dec 2001 06:50:21 +0100

netatalk (1.5pre8-5) unstable; urgency=low

  * Appletalk -> AppleTalk in package short descriptions. Thanks to Matt
    Zimmerman and his spell checking effort for pointing this out.
  * Really install README.Debian this time.
  * Removed afppasswd and afppasswd(1) from Debian distribution, since
    they are of no use when SSL support is not compiled in.

 -- Sebastian Rittau <srittau@debian.org>  Sun, 18 Nov 2001 15:13:53 +0100

netatalk (1.5pre8-4) unstable; urgency=low

  * Fixed uams_pam.so. (Closes: #118889)
  * Explain why we don't link against OpenSSL in README.Debian.
  * Modified debian/rules so that setting a variable called USE_SSL to
    "yes" enables SSL support. This should ease the local compilation of
    SSL-enabled netatalk packages.

 -- Sebastian Rittau <srittau@debian.org>  Sat, 10 Nov 2001 19:05:12 +0100

netatalk (1.5pre8-3) unstable; urgency=low

  * Corrected upstream version number (pre8 instead of pre7). This corrects
    afpd -v and similar commands.
  * Raised default number of allowed afpd clients. Suggestion by Jonas
    Smedegaard.
  * Small logcheck fix by Jonas.
  * Removed ATALK_BACKGROUND description from netatalk.conf(5).
  * Removed obsolete --with-config-dir configure option.

 -- Sebastian Rittau <srittau@debian.org>  Sat, 27 Oct 2001 15:36:30 +0200

netatalk (1.5pre8-2) unstable; urgency=low

  * Work around the fact that upstream includes sym-links to mkinstalldirs and
    missing instead of verbatim copies. We do that by including our own copies
    in debian and copy them before running the build. (Closes: #114915)

 -- Sebastian Rittau <srittau@debian.org>  Wed, 10 Oct 2001 14:03:34 +0200

netatalk (1.5pre8-1) unstable; urgency=low

  * New upstream version, containing most Debian patches.
  * Added a patch to configure.in that fixes PAM detection and compilation.

 -- Sebastian Rittau <srittau@debian.org>  Sun,  7 Oct 2001 12:46:15 +0200

netatalk (1.5pre7-5) unstable; urgency=low

  * More patches by Jonas Smedegaard <dr@jones.dk>:
    + 001_logcheck_fix_typo_and_optimize...
      Logcheck fixes and improvements. (Closes: #114448)
    + 005_visible_home_dir_in_config_(again!)
      Name user home directories "Home Directory" by default to make them
      appear in the MacOS chooser. (Patch had already been applied in
      1.5pre7-2, but had been lost since.)
    + Jonas made more patches, which I haven't applied yet, but either
      committed upstream or sent upstream for discussion.
      
 -- Sebastian Rittau <srittau@debian.org>  Thu,  4 Oct 2001 22:31:50 +0200

netatalk (1.5pre7-4) unstable; urgency=low

  * Fixed Build-Dependencies. (pam-cracklib -> cracklib2-dev) (Closes: #113356)
  * Restored symlinks in /usr/lib/atalk/filters and other directories.
    (Closes: #113746)
  * Patches by Jonas Smedegaard <dr@jones.dk>:
    + 002_correctly_calculate_perl_depends
    + 003_remove_cap_line_from_logcheck
      Small logcheck change.
    + 004_add_misc_logcheck_lines
      Another logcheck change.
    + 011_strip_pam_paths
      Not applied, but patched config/netatalk.pamd to strip /lib/security
      from its path.

 -- Sebastian Rittau <srittau@debian.org>  Mon,  1 Oct 2001 08:30:17 +0200

netatalk (1.5pre7-3) unstable; urgency=low

  * Fixed a stupid typo I made in the new init script.
  * Put add_netatalk_printer and netatalkshorternamelinks.pl in the
    examples directory instead of /usr/bin. Suggestion from Jonas
    Smedegaard.

 -- Sebastian Rittau <srittau@debian.org>  Sun, 23 Sep 2001 19:08:43 +0200

netatalk (1.5pre7-2) unstable; urgency=low

  * Integrated a lot of patches by Jonas Smedegaard <dr@jones.dk>:
    + 001_etc2ps paths
      Correct paths in etc2ps and suggest tetex-base.
    + 005_visible_home_dir_in_config
      Name user home directories "Home Directory" by default to make them
      appear in the MacOS chooser.
    + 007_logcheck
      Support for the logcheck log file checking package.
    + 011_avoid_symlinks_and_force_using_autoconf_2.50
      Partly applied: Patch configure.in so that the use of autoconf 2.50
      is forced. (Debian autoconf hack workaround.)
    + 012_netatalk.conf
      Improved init script. Also, make use of netatalk.conf again.
      I patched the patch so that netatalk.conf is placed in /etc/default.
    + 015_recommend_lsof_(for_macusers)_and_suggest_quota
      Recommend lsof and suggest quota.
    + 021_enable_ssl_and_cracklib_and_correct_pam_paths
      Partly applied: Enable cracklib support.
  * Fixed paths in add_netatalk_printer.
  * Removed lp2pap.sh since it's of no use on Debian systems.
  * Removed test_parse_mtab and afpd-mtab.pl because we are not using
    the mtab DID scheme.
  * Comparison operator is '=', not '==' in the 'test' command. Fixed
    my patch.
  * Removed netatalk.conf.5 as well, since we don't install netatalk.conf
    anymore.
  * Removed superfluous file /etc/netatalk/netatalk.pamd.
  * Moved all *.la and *.a files to netatalk-dev. Added appropriate
    conflicts and replaces.
  * debian/rules: Do not copy files to package build directories instead of
    removing them afterwards.

 -- Sebastian Rittau <srittau@debian.org>  Sun, 23 Sep 2001 14:04:06 +0200

netatalk (1.5pre7-1) unstable; urgency=medium

  * New upstream version. Most patches were applied upstream.
  * This release uses libtool for UAM stuff. Also, the correct flag
    for dynamic linking is supplied, so the problems with unresolved
    symbols should be gone now. (Closes: #95399)
  * Non-DSFG free code was removed. Copyright notice was changed accordingly.
  * Use ./configure --sysconfdir instead of --with-config-dir.
  * Upstream package does now install PAM file in the correct directory.
    Removed rule, correcting this from Debian rules file.
  * Added man pages for netatalk-config(1) and timelord(8). (Upstream
    does now also include a man page for timeout(1), but since we're not
    distributing it anymore, we don't care.)
  * Some doc files were removed, others were added.
  * Use debhelper compatibility level 3 and performed general packaging
    cleanups at the same time.
  * Standards-Version 3.5.6.0. No changes needed.
  * Netatalk is now GPL'ed. Added a note stating that to copyright.
    Also, we can't link against libssl anymore. Removed SSL stuff.
    I had to patch configure.in to do that.
  * Removed emacs stuff from changelog.
  * Applied a patch to getiface.c for a problem that could lead to
    segfaults. Thanks to Kai Henningsen <kaih@khms.westfalen.de>
    for actually being affected by this bug, and - more importantly -
    finding the problem. (Closes: #109310)

 -- Sebastian Rittau <srittau@debian.org>  Thu, 30 Aug 2001 02:02:17 +0200

netatalk (1.5pre6-7) unstable; urgency=low

  * Cleaned up CFLAGS handling in ./configure call.
  * Updated config.{sub,guess} again, just to make sure ...
  * Depend on the timeout package from tct. Also, don't distribute
    /usr/bin/timeout and remove the timeout(1) link to undocumented(7).
    Make preparations to remove the proper timeout(1) man page that will
    get distributed with netatalk 1.5pre7.

 -- Sebastian Rittau <srittau@debian.org>  Sun, 19 Aug 2001 18:05:55 +0200

netatalk (1.5pre6-6) unstable; urgency=medium

  * ./configure --with-did=last
    This should fix errors with MacOS X.
  * Fixed typo in add_netatalk_printer. (Closes: #104192)
  * Removed /etc/netatalk/netatalk.conf, since it's not used by Debian's
    init script. (Closes: #103539)
  * Disabled pam_guest module by default. (Closes: #106637)

 -- Sebastian Rittau <srittau@debian.org>  Sat, 28 Jul 2001 14:49:15 +0200

netatalk (1.5pre6-5) unstable; urgency=low

  * Removed --without-ssl option from ./configure invocation. Not
    that it had any effect before.
  * Updated config.{sub,guess} (manually for now). I will switch to
    dh_autotools if and when this is available. (Closes: #102861)

 -- Sebastian Rittau <srittau@debian.org>  Fri,  6 Jul 2001 00:46:18 +0200

netatalk (1.5pre6-4) unstable; urgency=low

  * Changed section of netatalk-dev to non-US, too.
  * Make netatalk-dev depend on netatalk.

 -- Sebastian Rittau <srittau@debian.org>  Tue, 19 Jun 2001 01:40:07 +0200

netatalk (1.5pre6-3) unstable; urgency=low

  * Thanks to my former sponsor Michael 'grisu' Bramer for his efforts.
  * Changed maintainer address to <srittau@debian.org>.
  * Moved to section non-US and link against libssl. Changed Build-Depends
    accordingly.
  * Link against libdb3 instead of libdb2. Changed Build-Depends
    accordingly.
  * Sources were not obtained from CVS, and are available by HTTP.
  * Removed patch to contrib/Makefile.* to enable compilation of timelord.
    Instead, use configure option --with-timelord.
  * Added symlinks to megatron. Use patch from upstream CVS. (Closes: #95944)
  * Clean up patch for etc/psf/Makefile.am.
  * Added DEB_BUILD_OPTIONS handling. (Closes: #99705)
  * Added links to undocumented(7) from binheader(1) and nadheader(1).
  * Standards-Version: 3.5.5.0.

 -- Sebastian Rittau <srittau@debian.org>  Sun, 17 Jun 2001 15:50:13 +0200

netatalk (1.5pre6-2) unstable; urgency=low

  * This version will hopefully clean up the version mess, I created.
  * Conforms to standards-version 3.5.3.0 (no changes needed).
  * Link cleanappledouble.pl(1) to undocumented(7).
  * Removed all hand-crafted {pre,post}{inst,rm} files.
  * Give files in /etc/netatalk/nls a mode of 0644, instead of 0755. Fixes
    lintian warnings.
  * Build-Depends on libdb2-dev do exist since -1. (Closes: #92774)
  * Distribute missing pagecount.ps. (Closes: #95117)
  * Compile timelord.
  * Use --enable-fhs instead of --with-fhs. Should fix some paths.
  * Compile with shadow support. (Closes: #95186)
  * Use the pam_unix.so module instead of pam_pwdb.so in /etc/pam.d/netatalk.

 -- Sebastian Rittau <srittau@jroger.in-berlin.de>  Tue,  1 May 2001 03:38:57 +0200

netatalk (1.5pre6-1) unstable; urgency=low

  * New upstream release.
  * Re-added changes made in 1.4b2+asun2.1.3-8.
  * Added --prefix=/usr to ./configure options.

 -- Sebastian Rittau <srittau@jroger.in-berlin.de>  Fri, 13 Apr 2001 00:27:47 +0200

netatalk (1.5pre5-3) unstable; urgency=low

  * Re-added changes made in 1.4b2+asun2.1.3-8.

 -- Sebastian Rittau <srittau@jroger.in-berlin.de>  Fri,  6 Apr 2001 23:44:47 +0200

netatalk (1.5pre5-2) unstable; urgency=low

  * Added copyright of University of Newcastle upon Tyne to debian/copyright.
  * Removed patches/uams_dhx_pam.c.patch as it was applied upstream.
  * Some documentation files were moved into the doc subdirectory.
  * Added more documentation files.
  * Added some temporary build fixes.

 -- Sebastian Rittau <srittau@jroger.in-berlin.de>  Wed,  8 Mar 2001 00:03:30 +0100

netatalk (1.5pre5-1) unstable; urgency=low

  * New upstream version.

 -- Sebastian Rittau <srittau@jroger.in-berlin.de>  Fri, 23 Feb 2001 21:07:18 +0100

netatalk (1.5pre4-1) unstable; urgency=low

  * New upstream version.
  * Some reorganisations to allow building directly from CVS.
  * Debian packaging is now included in upstream CVS.
  * Modified debian/copyright to include CVS instructions.
  * Call ./configure with --with-fhs and removed --with-uams-path option.
  * Removed patches/paths.h.patch as this is now supported by --with-fhs.
  * Removed various build patches now included upstream.
  * Use dh_installman from debhelper v3. Updated build dependencies
    accordingly.
  * Removed comment about Debian specific changes from debian/copyright.
  * Build with libssl support. (Closes: #48871)
  * Added libssl096-dev to Build-Depends.
  * Ship FAQ in /usr/share/doc/netatalk

 -- Sebastian Rittau <srittau@jroger.in-berlin.de>  Thu, 22 Feb 2001 20:44:41 +0100

netatalk (1.5pre3-1) unstable; urgency=low

  * New upstream version from netatalk.sourceforge.net.
    (Closes: #69232, #78781)
  * Repackaged using debhelper.
  * Conforms to policy version 3.5.1.0.
  * Removed some Debian specific patches integrated upstream.
  * Updated debian/copyright.
  * Changed priority from optional to extra.

 -- Sebastian Rittau <srittau@jroger.in-berlin.de>  Thu, 22 Feb 2001 10:18:07 +0100

netatalk (1.4b2+asun2.1.3-8) unstable; urgency=low

  * Added libdb2-dev to build-depends. (Closes: #92774)
  * Complies with Debian policy version 3.5.2.0.
  * Added netatalk homepage and current maintainer to debian/copyright.

 -- Sebastian Rittau <srittau@jroger.in-berlin.de>  Tue,  3 Apr 2001 23:59:38 +0200

netatalk (1.4b2+asun2.1.3-7) unstable; urgency=low

  * New maintainer. (Closes: #82386)
  * Fixed a build problem.
  * Strip .note and .comment sections from /usr/lib/atalk/psa.
  * Added debhelper as build-dependency.
  * Complies with Debian policy version 3.2.1.0.

 -- Sebastian Rittau <srittau@jroger.in-berlin.de>  Sun, 21 Jan 2001 15:49:11 +0100

netatalk (1.4b2+asun2.1.3-6) unstable; urgency=low

  * The "looks like I picked the wrong week to quit sniffing glue" release.
  * Update the maintainer name in the control file.
  * Move psa and etc2ps to /usr/lib/atalk, as they are not user binaries
    (this also shuts lintian up).

 -- David Huggins-Daines <dhd@debian.org>  Fri, 14 Jan 2000 21:04:24 -0500

netatalk (1.4b2+asun2.1.3-5) unstable; urgency=low

  * New maintainer.
  * Compensate for stupid new 'install -s' behaviour. (closes:Bug#51423)
  * Fix psf(8) manpage. (closes:Bug#30839)
  * Updated Standards-Version.
  * Fixed symlinks to be relative, as per lintian's warnings.
  * Added /usr/doc symlinks in the postinst/prerm.

 -- David Huggins-Daines <dhd@debian.org>  Wed, 22 Dec 1999 20:24:26 -0500

netatalk (1.4b2+asun2.1.3-4) unstable; urgency=low

  * Fix init script to always kill papd even if ENABLE_PAP=no (closes:Bug#48783).

 -- Joel Klecker <espy@debian.org>  Sun, 31 Oct 1999 07:43:29 -0800

netatalk (1.4b2+asun2.1.3-3) unstable; urgency=low

  * Remove libatalk1 and libatalk1-dev (I think it is a mistake to "fork" a
    shared version of a library in Debian, if the library is static upstream
    then upstream isn't gonna be careful with the ABI).
  * Create netatalk-dev.
  * netatalk.init: Use $() instead of ``.
    Use /bin/hostname explicitly.
    s/daemons/Daemons/g.
    Remove module fiddling (closes:Bug#44767,#43319).
  * Remove "glibc 2.1 fix" it's no longer needed.
  * Compile with sendfile support.
  * Use /usr/share/doc.
  * Cleanup bashisms in debian/rules.

 -- Joel Klecker <espy@debian.org>  Sat, 23 Oct 1999 20:59:24 -0700

netatalk (1.4b2+asun2.1.3-2) unstable; urgency=low

  * (netatalk): Make /etc/netatalk/afpd.conf a conffile (closes:Bug#37628).

 -- Joel Klecker <espy@debian.org>  Thu, 13 May 1999 10:54:37 -0700

netatalk (1.4b2+asun2.1.3-1) unstable; urgency=low

  * New upstream release (closes:Bug#33982).
  * Correct paths in psf.8 (closes:Bug#30839).
  * There is now a different way to control CRLF translation on a
    per-volume basis upstream so I have removed the patch that
    provides the -e option to afpd.
  * (netatalk): Depend on libpam-modules.
  * Put man pages in /usr/share/man.

 -- Joel Klecker <espy@debian.org>  Tue, 30 Mar 1999 12:17:36 -0800

netatalk (1.4b2+asun2.1.1-2) frozen unstable; urgency=low

  * Incorporated glibc 2.1 fixes from Christian Meder.
  * Remove explicit add-log-mailing-address from debian/changelog.

 -- Joel Klecker <espy@debian.org>  Fri, 15 Jan 1999 07:28:11 -0800

netatalk (1.4b2+asun2.1.1-1.1) frozen unstable; urgency=low

  * non maintainer, sparc only upload
  * fix #includes for glibc2.1

 -- Christian Meder <meder@isr.uni-stuttgart.de>  Mon,  4 Jan 1999 12:37:13 +0100

netatalk (1.4b2+asun2.1.1-1) frozen unstable; urgency=low

  * New upstream bugfix release.
  * Recompile against libc6 2.0.7u-7 to get rid of versioned
    libc6 dependency.

 -- Joel Klecker <espy@debian.org>  Thu,  3 Dec 1998 07:45:42 -0800

netatalk (1.4b2+asun2.1.0-5) frozen unstable; urgency=high

  * [libatalk/atp/atp_rsel.c] Minor change for libnatali compatibility
    (closes:Bug#30092).
  * Rebuild with libc6 2.0.7u-6 for i386.

 -- Joel Klecker <espy@debian.org>  Fri, 27 Nov 1998 22:58:11 -0800

netatalk (1.4b2+asun2.1.0-4) frozen unstable; urgency=low

  * binary-arch target now depends on pre-binary (closes:Bug#29508)

 -- Joel Klecker <espy@debian.org>  Tue, 17 Nov 1998 04:46:50 -0800

netatalk (1.4b2+asun2.1.0-3) frozen unstable; urgency=low

  * Now installs /usr/lib/atalk/pagecount.ps (closes:Bug#29323)

 -- Joel Klecker <espy@debian.org>  Thu, 12 Nov 1998 00:30:53 -0800

netatalk (1.4b2+asun2.1.0-2) frozen unstable; urgency=low

  * Should build from freshly unpacked source now (Bug#28810)

 -- Joel Klecker <espy@debian.org>  Sun,  1 Nov 1998 19:34:52 -0800

netatalk (1.4b2+asun2.1.0-1) unstable; urgency=low
  
  * New upstream release.
  * Incorporate megatron patch from Rob Browning (Bug#25598).
  * Don't install /usr/include/netatalk on glibc 2.1 architectures.
  * Fix paths in /etc/pam.d/netatalk file.

 -- Joel Klecker <espy@debian.org>  Thu, 29 Oct 1998 23:54:13 -0800

netatalk (1.4b2+asun2.0a18.2-1) frozen unstable; urgency=low

  * New "upstream" release.
  * This does add new features, however, it also fixes at
    least one nasty bug (Bug#13973).
  * Applied patch which adds a command-line option to disable
    CR/LF translation (thanks to Davide Welton and Jon Nelson).
    (Note to release manager: this patch is applied so this
     package has the exact functionality of netatalk-asun)
  * Renamed libatalk-dev to libatalk1-dev.
  * Symlinked /usr/man/man1/nbpunrgstr.1.gz to /usr/man/man1/nbprgstr.1.gz
    to keep lintian happy.
  * Changed the "lock directory" to /var/run and the names of the "lock files" to <foo>.pid,
    since what the source calls locks are really the same as the .pid files other daemons
    put in /var/run.
  * This package provides all the functionality of netatalk-asun, and
    it will replace netatalk-asun in the distribution.

 -- Joel Klecker <jk@espy.org>  Tue, 12 May 1998 19:31:54 -0700

netatalk (1.4b2-5) frozen unstable; urgency=low

  * New Maintainer (I can finally close bugs
    I fixed in previous releases ;).
  * Changed library package names again.
  * Upgraded to Debian Policy 2.4.0.0.
  * Moved conffiles to /etc/netatalk.
  * Fixes almost all lintian warnings/errors.
  * Cleaned up changelog.

 -- Joel Klecker <jk@espy.org>  Sun, 22 Mar 1998 21:50:00 -0800

netatalk (1.4b2-4.5) unstable; urgency=low

  * Non-maintainer release (again :>)
  * Made libatalk14g-dev conflict with libc5-dev to fix overlap
    (Bug:#17848)

 -- Joel Klecker <jk@espy.org>  Thu, 5 Feb 1998 20:42:51 -0800

netatalk (1.4b2-4.4) unstable; urgency=low

  * Yet Another non-maintainer release.
  * Added patch to fix "dancing icon" problems with Macs running Mac OS 8.
  * Changed comment in /etc/AppleVolumes.default (Bug:#15279)
  * Implemented variable for "server name" in init script
    (as suggested in Bug:#12024)
  * Added a kluge to /etc/init.d/netatalk to remove kernel appletalk
    module (if there is one) at stop and reinsert it at start, this
    is needed or else netatalk will not start once stopped (Bug:#12142,11349)

 -- Joel Klecker <jk@espy.org>  Fri, 30 Jan 1998 07:50:00 -0800

netatalk (1.4b2-4.3) unstable; urgency=low

  * Non-maintainer release.
  * Fixed dependencies.

 -- Joel Klecker <jk@espy.org>  Thu, 8 Jan 1998 16:14:17 -0800

netatalk (1.4b2-4.2) unstable; urgency=low
  
  * Non-maintainer release.
  * Changed library package names.

 -- Joel Klecker <jk@espy.org>  Wed, 7 Jan 1998 00:00:00 -0800

netatalk (1.4b2-4.1) unstable; urgency=low

  * Non-maintainer libc6 compile.

 -- Joel Klecker <jk@espy.org>  Tue, 6 Jan 1998 00:00:00 -0800

netatalk (1.4b2-4) unstable; urgency=low

  * Recompiled against newer PAM libraries.
  * Added /etc/pam.d/samba.

 -- Klee Dienes <klee@debian.org>  Sat, 8 Mar 1997 01:17:09 -0500

netatalk (1.4b2-3) unstable; urgency=low

  * Added PAM support.
  * Split into libatalk, libatalk-dev, and netatalk.
  * Added patch from Randy Gobbel <gobbel@cogsci.ucsd.edu> to allow case
    translation to be specified at config-time rather than compile time.
    Note that configuration files that make use of this feature may not
    work with other releases of netatalk, and that this feature may be
    removed in the future if UMich rejects the patch or implements it
    differently.
  * Startup messages now conform to 'Standard for Console Messages' (fixes
    #5399).
  * No longer creates new subdirectories (to appease dpkg-buildpackage).

 -- Klee Dienes <klee@debian.org>  Wed, 26 Feb 1997 21:02:02 -0500

netatalk (1.4b2-2) unstable; urgency=low

  * Resend_request made external for libnatali.
  * Added shared libraries.
  * Next revision will split into libatalk, libatalk-dev, and netatalk.

 -- Klee Dienes <klee@debian.org>  Fri, 24 Jan 1997 22:37:22 -0500

netatalk (1.4b2-1) unstable; urgency=low

  * Updated to upstream version 1.4b2.
  * Added preliminary PAM support (currently disabled).
  * Made /etc/init.d/netatalk a conffile.
  * Changed /etc/init.d/netatalk to complete only once appletalk services
    are running.  Configurating an Appletalk interface can take many (> 15)
    seconds, so the previous version would fork a process to configure the
    interface and then start up the other Appletalk services.  Although
    possibly controversial, this change is necessary so that packages like
    ppr can be ensured that netatalk will be started before they run
    without undue complication.

 -- Klee Dienes <klee@debian.org>  Sat, 2 Nov 1996 19:42:04 -0700

netatalk (1.4b1-1) unstable; urgency=low

  * Updated to new upstream version.
  * Updated to new packaging format.

 -- Klee Dienes <klee@debian.org>  Wed, 2 Oct 1996 10:18:14 -0700

netatalk (1.3.3-3);

  * Fixed location of include files.

 -- Klee Dienes <klee@mit.edu>  Mon Jan  8 10:46:52 MST 1996

netatalk (1.3.3-2);

  * Fixed bug in postrm script.

 -- Klee Dienes <klee@mit.edu>  Thu Dec 21 08:22:24 MST 1995

netatalk (1.3.3-1);

  * Initial Release.

 -- Klee Dienes <klee@mit.edu>  Wed Dec 13 22:58:31 MST 1995
